> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sailhouse.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Acknowledge event

> Acknowledge an event, marking it as processed for a subscription



## OpenAPI

````yaml POST /topics/{topic_slug}/subscriptions/{subscription_slug}/events/{event_id}
openapi: 3.0.0
info:
  title: Sailhouse API
  description: Generated API documentation for Sailhouse
  version: 1.0.0
servers:
  - url: https://api.sailhouse.dev
security:
  - bearerAuth: []
paths:
  /topics/{topic_slug}/subscriptions/{subscription_slug}/events/{event_id}:
    post:
      tags:
        - events
      summary: Acknowledge an event
      description: Acknowledge an event, marking it as processed for a subscription
      operationId: AcknowledgeEvent
      parameters:
        - name: topic_slug
          in: path
          required: true
          schema:
            type: string
        - name: subscription_slug
          in: path
          required: true
          schema:
            type: string
        - name: event_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - apiKey: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
    apiKey:
      type: apiKey
      in: header
      name: Authorization

````